/**
 * 支付套餐列表响应
 */
import { z } from "zod";

import { PaymentPlanSchema } from "./payment_plan";

export const PaymentPlansResponseSchema = z.object({
  plans: z.array(PaymentPlanSchema),
});

export type PaymentPlansResponseInput = z.input<
  typeof PaymentPlansResponseSchema
>;
export type PaymentPlansResponseData = z.output<
  typeof PaymentPlansResponseSchema
>;
